import { ScatterBaseDescription } from "./ScatterBaseDescription";
import { SizeScaleDescription } from "./SizeScaleDescription";
import { BrushScaleDescription } from "./BrushScaleDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class BubbleSeriesDescription extends ScatterBaseDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private c0;
    get radiusMemberPath(): string;
    set radiusMemberPath(a: string);
    private cw;
    get radiusScale(): SizeScaleDescription;
    set radiusScale(a: SizeScaleDescription);
    private cz;
    get labelMemberPath(): string;
    set labelMemberPath(a: string);
    private cy;
    get fillMemberPath(): string;
    set fillMemberPath(a: string);
    private cu;
    get fillScale(): BrushScaleDescription;
    set fillScale(a: BrushScaleDescription);
}
